    <strong>Kontoauszugsliste aus Korrekturen:</strong><br><br>
<?
   $userIds = Array();
   $filename = 'views/user/korrekturen_U18.csv';
   $fin = fopen($filename,'r');
   while ($line = fgets($fin)) {
       $line = trim($line);
       // 1001540017;Ost; ; ; ; ;Sollte keinen Auszug erhalten
       List($versnummer,$rechtskreis, $verfallneu1, $verfallneu2, $verfallalt1, $verfallalt2, $beschreibung) = explode(';',$line);
       if ($versnummer && $rechtskreis) {
           $user = new user($versnummer, 0, 0, $rechtskreis);
           array_push($userIds, $user->userId);
       }
   }
//   $userIds = Array(18125);
   print "    <h3>Anzahl: " . count($userIds) . "</h3>\n";
?>
    <div id="accordion">
<?
   foreach ($userIds as $userId) {
       $client = new user(0,$userId);
       if (!$client-userId) {
         print "User $userId nicht gefunden<br/>\n";
       }
       $numBewegungen = sizeof($client->konto->kontoBewegungen);
       if ($numBewegungen > 0) {
            $color[0] = '#eeeeee';
            $color[1] = '#f2f2f2';
            $myColor = 0;
       }
       $konto = new konto($userId);
       $arVerfall = $konto->calcinvalidatenext();
       List($year,$month,$day) = explode('-', date("y-m-d", time()));
       $refDate = "$year-$month-15";
       $VerfallDatum1 = date('01.m.Y',strtotime('+1 months',strtotime($refDate)));
       $VerfallDatum2 = date('01.m.Y',strtotime('+2 months',strtotime($refDate)));
?>
      <h3><a href="#"><?=$client->userId?>, <?=$client->versnummer?>, <?=$client->rechtskreis?>, <?=$client->vorname?> <?=$client->name?></a></h3>
      <div>
        Punkteverfall zum <?=$VerfallDatum1?>: <?=$arVerfall[0]?><br/>
        Punkteverfall zum <?=$VerfallDatum2?>: <?=$arVerfall[1]?><br/>
        <br/>
        <table>
          <tr bgcolor="#dddddd">
            <td>Datum</td>
            <td>Erwerb</td>
            <td>Beschreibung</td>
            <td>Kommentar (intern)</td>
            <td>Punkte</td>
            <td>&nbsp;</td>
          </tr>
<? foreach($konto->kontoBewegungen as $kontobewegung) {
      $myColor = 1-$myColor; ?>
          <tr bgcolor="<?=$color[$myColor]?>">
<? $fett=($kontobewegung->wert < 0 )?true:false; ?>
            <td><?=$fett?'<strong>':''?><?=date('d.m.Y',$kontobewegung->datum)?><?=$fett?'</strong>':''?></td>
            <td><?=$fett?'<strong>':''?><?=$kontobewegung->datumerwerb?><?=$fett?'</strong>':''?></td>
            <td><?=$fett?'<strong>':''?><?=unescape($kontobewegung->beschreibung)?><?=$fett?'</strong>':''?></td>
            <td><?=$fett?'<strong>':''?><?=unescape($kontobewegung->kommentar)?><?=$fett?'</strong>':''?></td>
            <td align="right"><?=$fett?'<strong>':''?><?
                 if (! ($kontobewegung->gueltig)) {
                         echo "<font color='#00ff00'>" . $kontobewegung->wert . "</font>";
                 } else {
                     if ($kontobewegung->wert < 0 ) {
                         echo "<font color='#ff0000'>" . $kontobewegung->wert . "</font>";
                     } else {
                         echo $kontobewegung->wert; 
                     }
                 } ?><?=$fett?'</strong>':''?></td>
            <td>
              <table>
                <tr>
                  <td>
                    <a href="<?=$_SERVER['SELF_PHP']?>?module=<?=$module?>&action=<?=$action?>&state=edit&userId=<?=$userId?>&accountId=<?=$kontobewegung->id?>"><img src="/grafik/button_edit.png" border="0" alt="Editieren" title="Edititeren" /></a>
                  </td>
                     <? if ($loggedIn->role == 'superuser') { ?>
                  <td>
                    <a href="javascript:checkDelete('<?=$_SERVER['REQUEST_URI']?>?module=<?=$module?>&action=<?=$action?>&state=delete&userId=<?=$userId?>&accountId=<?=$kontobewegung->id?>')"><img src="/grafik/button_drop.png" border="0" alt="Loeschen" title="Loeschen" /></a>
                  </td>
                     <? } ?>
                <tr>
              </table>
            </td>
          </tr>
<?  } ?>
          <tr bgcolor="#eef1f1">
            <td>&nbsp;</td>
            <td align="right">Saldo</td>
            <td align="right"><strong><?=$konto->getSaldo()?></strong></td>
          </tr>
        </table>
      </div>
<? } ?>
  </div><!-- accordion -->
<script type="text/javascript">
  $(document).ready(function() {
      $("#accordion").accordion(
          { autoHeight: false,
            navigation: true
            });
  });
</script>
